# 页面变量

## confirmAssignees

确认代理人列表

根据流程图，动态生成按钮，每一个按钮都有对应的候选人列表

> 注意：在绘制流程时，如果**代理人类型**选择的是**表单**，页面中的变量 **confirmAssignees.assignees** 为空数组，需要由页面动态处理候选人。


格式如下

```json
[{
    "assignees": [{
        "avatar": "",
        "userId": "044aa7ae-27f4-41d3-a084-145c501193eb",
        "userName": "王XX",
        "userUsername": "17777811733"
    }, {
        "avatar": "",
        "userId": "5279a10e-24c3-45ee-896c-38763a6282f9",
        "userName": "周X",
        "userUsername": "13314888608"
    }, {
        "avatar": "",
        "userId": "9a7e9804-bd5d-4b0d-b0f3-f8989fb7ea4a",
        "userName": "董X",
        "userUsername": "19847345521"
    }],
    "btnExc": "",
    "btnText": "送周杰",
    "nextEndEvent": false,
    "nodeType": "multiple",
    "assigneeType": "appoint",
    "formAssigneeField": "abc"
}]
```

说明

|名称|类型|说明|参数值|
|-|-|-|-|
|btnExc|string|按钮执行条件||
|btnText|string|按钮名称||
|nextEndEvent|boolean|下个节点是否是结束节点||
|nodeType|string|节点类型|single:单选，multiple:多选|
|assigneeType|string|代理人类型|appoint:指定，auto:自动，form:表单|
|formAssigneeField|string|表单代理人字段，assigneeType为form时有效||
|assignees|string|代理人列表||
|assignees.avatar|string|代理人头像||
|assignees.userId|string|代理人用户ID||
|assignees.userName|string|代理人名称||
|assignees.userUsername|string|代理人用户名||

## fields

表单字段

- 用于描述表单中的字段类型，相关js会根据类型自动处理表单中字段状态（可见、不可见、可写、不可写等）。
- 根据流程绘制时确定。
- 数量与表单字段一致。

格式如下

```json
[{
    "autoBackFill": "currentUserName",
    "editHistory": "noRecord",
    "fieldName": "bt",
    "isEditable": 1,
    "isVisible": 1
}, {
    "autoBackFill": "noBackFill",
    "editHistory": "noRecord",
    "fieldName": "qp",
    "isEditable": 0,
    "isVisible": 1
}, {
    "autoBackFill": "noBackFill",
    "editHistory": "noRecord",
    "fieldName": "hq",
    "isEditable": 0,
    "isVisible": 1
}]
```

说明

|名称|类型|说明|参数值|
|-|-|-|-|
|autoBackFill|string|自动回填|noBackFill:不回填，currentUserName:当前用户昵称，currentUserDepartment:当前用户部门，当有多个时，页面会处理成下拉|
|editHistory|string|编辑历史|noRecord:不记录，latest:最新(签批)，all:全部(会签)|
|fieldName|string|字段名称||
|isEditable|int|是否可编辑|0:不可编辑，1:可编辑|
|isVisible|int|是否可见|0:不可见，1:可见|

## formButton

表单按钮

显示或隐藏按钮，根据表单绘制时确定

格式如下

```json
{
    "btnAttachment": 1,
    "btnCc": 1,
    "btnForcedEnd": 0,
    "btnGoBack": 0,
    "btnPrint": 0,
    "btnTransfer": 0,
    "goBackUserTasks": []
}
```

说明

|名称|类型|说明|参数值|
|-|-|-|-|
|btnAttachment|int|附件|0:不显示，1:显示|
|btnCc|int|抄送|0:不显示，1:显示|
|btnForcedEnd|int|强制结束|0:不显示，1:显示|
|btnPrint|int|打印|0:不显示，1:显示|
|btnTransfer|int|转交|0:不显示，1:显示|
|btnGoBack|int|回退，发起时没有回退|0:不显示，1:显示|
|goBackUserTasks|array|可以回退的用户任务列表，回退按钮显示时有效||

## currentUser

当前用户

格式如下

```json
{
    "departments": [],
    "userId": "1",
    "userName": "超级管理员"
}
```

说明

|名称|类型|说明|参数值|
|-|-|-|-|
|userId|string|用户ID||
|userName|string|用户昵称||
|departments|array|部门列表||
